Bug 4893 - Add an input field for Check In on main Staff Client page
Summary: Add an input field for Check In on main Staff Client page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-15 14:55 UTC by Cab Vinton
Modified: 2013-12-05 20:01 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Proposed fix (1.76 KB, patch)
2011-08-08 16:38 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Cab Vinton 2010-06-15 14:55:06 UTC
This is a minor annoyance for us.

The main Staff Client page has an input field for Checking Out, but not for Checking In.

So, staff have to click on a link to perform this function.

(Don't use the Transfer function, so can't speak to that.)

This upgrade would be a nice time-saver for us.
Comment 1 Cab Vinton 2010-06-15 14:57:13 UTC
Forgot to mention that we are running 3.01.00.032. Not sure if this behavior applies to 3.2 ...
Comment 2 Paul Poulain 2011-08-02 15:04:54 UTC
Still relevant. Cab can't you set /cgi-bin/koha/circ/returns.pl as default page for circulation desk computers ? on this page, you have both check-in and check-out fields
Comment 3 Cab Vinton 2011-08-02 15:19:32 UTC
That would certainly work, Paul.

All the other links are obviously lost, however.

As I say, a relatively minor annoyance, but since the fix would also be trivial, our preference would still be to have input fields for both Checking In & Checking Out on the main page.

Thanks for the suggestion!

Cab Vinton
Comment 4 Owen Leonard 2011-08-08 16:38:45 UTC
Created attachment 4893 [details] [review]
Proposed fix
Comment 5 Ian Walls 2011-08-25 01:49:48 UTC
Simple template only change, works as advertised, marking as Passed QA
Comment 6 Cab Vinton 2011-08-25 18:51:21 UTC
Awesome. Thank you, guys!
Comment 7 Chris Cormack 2011-08-26 03:20:19 UTC
Pushed, please test